﻿using MvcApplication10.Models;
using Syncfusion.Mvc.Grid;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcApplication10.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index(GridEditMode? Edit)
        {
            var data = OrderRepository.GetAllRecords();
            return View(data);
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Index(PagingParams args)
        {
            IEnumerable data = OrderRepository.GetAllRecords();
            return data.GridActions<EditableOrder>();

        }
        public ActionResult About()
        {           
            var data = OrderRepository.GetAllRecords();
            return View(data);
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult About(PagingParams args)
        {
            IEnumerable data = OrderRepository.GetAllRecords();
            return data.GridJSONActions<EditableOrder>();

        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult OrderSave(EditableOrder ord)
        {
            OrderRepository.Update(ord);

            var data = OrderRepository.GetAllRecords();

            return data.GridActions<EditableOrder>();

        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult AddOrder(EditableOrder ord)
        {
            OrderRepository.Add(ord);

            var data = OrderRepository.GetAllRecords();

            return data.GridActions<EditableOrder>();

        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult DeleteOrder(int OrderID)
        {

            OrderRepository.Delete(OrderID);

            var data = OrderRepository.GetAllRecords();

            return data.GridActions<EditableOrder>();

        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult JSONSave(EditableOrder ord)
        {
            OrderRepository.Update(ord);

            var data = OrderRepository.GetAllRecords();

            return data.GridJSONActions<EditableOrder>();

        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult JSONAdd(EditableOrder ord)
        {
            OrderRepository.Add(ord);

            var data = OrderRepository.GetAllRecords();

            return data.GridJSONActions<EditableOrder>();

        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult JSONDelete(int OrderID)
        {

            OrderRepository.Delete(OrderID);

            var data = OrderRepository.GetAllRecords();

            return data.GridJSONActions<EditableOrder>();

        }
       
    }
}
